# Created by pyp2rpm-3.3.6
%global pypi_name pywaffle

Name:           python-%{pypi_name}
Version:        0.6.3
Release:        1%{?dist}
Summary:        PyWaffle is an open source, MIT-licensed Python package for plotting waffle charts

License:        MIT
URL:            https://github.com/gyli/PyWaffle
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 Introduction PyWaffle is an open source, MIT-licensed Python package for
plotting waffle charts.It provides a Figure constructor class < Waffle, which
could be passed to matplotlib.pyplot.figure < and generates a matplotlib Figure
object.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(matplotlib)
%description -n python3-%{pypi_name}
 Introduction PyWaffle is an open source, MIT-licensed Python package for
plotting waffle charts.It provides a Figure constructor class < Waffle, which
could be passed to matplotlib.pyplot.figure < and generates a matplotlib Figure
object.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md README_pypi.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Oct 07 2021 mockbuilder - 0.6.3-1
- Initial package.